Take a plan's discount off new checkouts
DELETE
/console/plans/{plan}/discount
const url = 'https://example.com/console/plans/starter/discount';const options = { method: 'DELETE', headers: {cookie: 'bottle.session_token=<bottle.session_token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example.com/console/plans/starter/discount \ --cookie bottle.session_token=<bottle.session_token>Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”plan
required
string
Responses
Section titled “Responses”The plan afterwards
Media typeapplication/json
object
plan
required
string
monthlyPence
required
integer | null
stripePriceId
required
string | null
discount
required
object
percentOff
required
integer
months
required
integer | null
setAt
required
string | null format: date-time
setByName
required
string | null
Example
{ "plan": "starter"}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not Bottle staff, no two-step sign-in, or a console role too low for this
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}No discount to take off
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}Billing is not configured on this deployment
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}